/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#include "gdamspinskin.h"
#include "../../component/plugins/gdamspin.h"
#include <gdam/component/gdamutil.h>
#include <glade/glade.h>
#include "../gdamechobaseskin.h"
//#include "../gdamfactory.h"
#include "../gdamskin.h"
#include "../gdamskinutil.h"


static void gdam_spin_skin_class_init(GdamSpinSkinClass* klass);

/*    ____ _                 ____  _          __  __ 
 *   / ___| | __ _ ___ ___  / ___|| |_ _   _ / _|/ _|
 *  | |   | |/ _` / __/ __| \___ \| __| | | | |_| |_ 
 *  | |___| | (_| \__ \__ \  ___) | |_| |_| |  _|  _|
 *   \____|_|\__,_|___/___/ |____/ \__|\__,_|_| |_|  
 */                                                 


static void gdam_spin_skin_init(GdamSpinSkin* skin)
{
}

GtkType gdam_spin_skin_get_type()
{
	static GtkType spin_skin_type = 0;
	if (!spin_skin_type) {
		static const GtkTypeInfo spin_skin_info = {
			"GdamSpinSkin",
			sizeof(GdamSpinSkin),
			sizeof(GdamSpinSkinClass),
			(GtkClassInitFunc) gdam_spin_skin_class_init,
			(GtkObjectInitFunc) gdam_spin_skin_init,
			/* reserved_1*/ NULL,
			/* reserved_2*/ NULL,
			(GtkClassInitFunc) NULL
		};
		spin_skin_type = gtk_type_unique(GDAM_TYPE_ECHO_BASE_SKIN,
		                                     &spin_skin_info);
	}
	return spin_skin_type;
}


static void gdam_spin_skin_class_init(GdamSpinSkinClass* klass)
{
	GdamSkinClass* skin_class = GDAM_SKIN_CLASS(klass);
	skin_class->model_type = GDAM_TYPE_SPIN;
}
